<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\ZsaTeilnehmerUebersicht\TeilnehmerDetails;

class TeilnehmerDetailsController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new TeilnehmerDetailsUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $request = new TeilnehmerDetailsRequest();
    $request->bkbvtn = \GetOperations::getVarValue('bkbvtn');

    return $request;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new TeilnehmerDetailsPresenter($pUseCaseResponse);
  }
}